nokia手机SD卡密码清除方法

刚才帮一位同事清除了一下NOKIA旧手机SD卡的密码,在这个过程中,发现NOKIA的密码设置的确非常人性化,照顾到了隐私和便捷性的问题。

从网上google一下你会发现很多的人介绍的四种方法,而我选择的方法是最简洁的,就是换一台nokia手机,把旧卡放入手机时提示密码选择取消,进入手机功能表中的存储卡管理软件,格式化卡即可清除旧卡上的密码了。

nokia手机对sk卡的加密原理我不太清楚,不过加密后实现了一卡一机的使用原则,理论上别人是无法获取卡中的资料的,因为设置密码的存储卡仅限原手机读取,除非你大意的把手机和卡同时弄丢了,而且手机没有设置密码保护。而且在原手机上格式化卡是没有用的,格式化后卡仍然是密码保护的状态。防止了反格式化软件的破解读取之路。

看来,科技以人为本,真的是Nokia的选择,这是一种文化,从产品的每个细节上都可以看到的,国内山寨们是否真的准备好了投入手机这个极为重视隐私的产品大战中呢?

我期待的下一部手机是像Lumia900那样的设计,iphone那样多的软件,android那样便捷而清晰的功能定制,不知道哪一款达到我的要求了。欢迎知道的朋友给我留言推荐一下。谢谢。

Advertisements

Windows7 无法访问局域网共享_电脑维修_Java中文网

下面是解决这个局域网无法访问的方法:

开始 > 运行: services.msc

找到TCP/IP NetBIOS Helper,设为自动,并启动该服务即可解决

——————————————————————————

TCP/IP NetBIOS Helper

XP 访问共享并不需要该服务,所以长期一直禁用该服务未见异常。然而 Win7 需要,所以在禁用了 Win7 的 TCP/IP NetBIOS Helper 服务的情况下连自己的共享都不能访问,同样也无法访问禁用了 TCP/IP NetBIOS Helper 服务的 XP 。要用 Win7 去访问主机上的共享资源,必须要在服务端开启 TCP/IP NetBIOS Helper 服务。

通过Windows7 无法访问局域网共享_电脑维修_Java中文网.

~~~~~~~~~

原来win7里面的这个服务不能关闭了,为了跟xp组网兼容,还是保留的好。

PHP版本VC6和VC9、Non Thread Safe和Thread Safe的区别 – WEB前端开发-天涯Boy

想更新个 PHP 的版本, PHP 的 windows 版本已经分离出来了,见 http://windows.php.net/download/ ,但是上面有很多不同的版本,包括 VC9, VC6, x86 Non Thread Safe, x86 Thread Safe, 好像没有 x64 版本的,(现在特别喜欢用 64 位的软件),版本有点多,主要的区别和如何选择不同的版本如下:

VC6 版本是使用 Visual Studio 6 编译器编译的,如果你是在 windows 下使用 Apache+PHP 的,请选择 VC6 版本。

VC9 版本是使用 Visual Studio 2008 编译器编译的,如果你是在 windows 下使用 IIS+PHP 的,请选择 VC9 版本。

Non Thread Safe 就是非线程安全,在执行时不进行线程( Thread )安全检查;

Thread Safe 是线程安全,执行时会进行线程( Thread )安全检查,以防止有新要求就启动新线程的 CGI 执行方式而耗尽系统资源;

Windows 下的 PHP 主要有两种执行方式: ISAPI 和 FastCGI 。

ISAPI 执行方式是以 DLL 动态库的形式使用,可以在被用户请求后执行,在处理完一个用户请求后不会马上消失,所以需要进行线程安全检查,这样来提高程序的执行效率,所以如果是以 ISAPI 来执行 PHP ,建议选择 Thread Safe 版本;

FastCGI 执行方式是以单一线程来执行操作,所以不需要进行线程的安全检查,除去线程安全检查的防护反而可以提高执行效率,所以,如果是以 FastCGI 来执行 PHP ,建议选择 Non Thread Safe 版本。

官方并不建议你将 Non Thread Safe 应用于生产环境。

通过PHP版本VC6和VC9、Non Thread Safe和Thread Safe的区别 – WEB前端开发-天涯Boy.

PHP5.3.x安装Zend OptimizerZend Guard Loader[Linux][Windows] | 尘缘的博客

到目前发稿截止,Zend Optimizer目前的版本为3.3.3Windows、3.3.9Linux,且均不支持PHP5.3及以上版本。很多同学包括我自己,一直也是被B的只能使用PHP5.2版本,当然,因为DEDE对PHP5.3的支持不好,也没办法,只能停在5.2时代。根据官方的说法,一直是这样:由于PHP5.3的升级功能太多,ZP更新以后,也无法再往下兼容低版本的Zeng Guard加密的PHP文件,甚至不支持PHP5.2.13以下版本的PHP环境。总结成一句话,那就是“PHP版本更新太快了,已经没必要向下兼容低版本的Zend Guard和PHP5.2及以下版本了”。就如同PHP5.3不能兼容PHP5.2一样,很多函数被取消,很多同学认为这是PHP5时代和PHP6时代的分水岭。PHP6就要来了。

通过PHP5.3.x安装Zend OptimizerZend Guard Loader[Linux][Windows] | 尘缘的博客.

~~~~~~~

为了让本本当服务器,办法想尽了,还是没法在5.3上使用ZEND。。。晕人呀

Zend Guard和Optimizer有多少差异?[待查]

官网上php5.3 以后需要Zend Guard才支持,早期的Optimizer不在支持了。

1、下载Zend Guard
32位 http://downloads.zend.com/guard/5.5.0/ZendGuardLoader-php-5.3-linux-glibc23-i386.tar.gz
64位 http://downloads.zend.com/guard/5.5.0/ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gz
sudo mkdir /usr/zend
tar -zxvf ZendGuardLoader-php-5.3-linux-glibc23-i386.tar.gz
sudo cp ZendGuardLoader-php-5.3-linux-glibc23-i386/php5.3.x/ZendGuardLoader.so /usr/zend/
2、上面的文件解压后有一个redme文件详细说了这么安装设置。
修改你的 php.ini文件
最后加上:
zend_extension=/usr/zend/ZendGuardLoader.so
zend_loader.enable=1
zend_loader.disable_licensing=0
zend_loader.obfuscation_level_support=3
zend_loader.license_path=

然后重启 httpd就可以了。

~~~~~~~~~~~~~
经过上述步骤后,Optimizer优化过的DZ老程序,如SS5.5还是不能正常使用,不知道是不是两者的差异太大,只有期待新版Optimizer尽早上线了。

ubuntu apache2配置详解(含虚拟主机配置方法) – LINUX笔记 – 冠威博客

严格地说,Ubuntu的Apache(或者应该说Linux下的Apache?我不清楚其他发行版的apache软件包)的配置文件是 /etc/apache2/apache2.conf,Apache在启动时会自动读取这个文件的配置信息。而其他的一些配置文件,如 httpd.conf等,则是通过Include指令包含进来。在apache2.conf中可以找到这些Include行:

通过ubuntu apache2配置详解(含虚拟主机配置方法) – LINUX笔记 – 冠威博客.

我看我要学习多少次才能记住这些配置。。。

在ubuntu 9.10下安装 Zend Optimizer的教程 | uranus’ s blog- 正则灵均

Zend Optimizer其实就是个php加速器,据说使用Zend Optimizer会使php程序的执行效率提高30%,并且被Zend Encode编译的二进制代码也可以透明地读取。所以很多php程序安装时都要求有zend optimizer,而且国外很多服务器商,如hostmonster,dreamhost,都会安装好zend optimizer。大家在本机测试php程序时,最好也先安装Zend Optimizer。我使用的系统是ubuntu 9.10,测试安装成功。

安装方法非常简单,几行命令的事情。

1.首先去这个页面下载Zend Optimizer http://www.zend.com/en/products/guard/downloads

请注意要选择Zend Optimizer  v3.3,和下面的操作系统,我们选Linux x86(32 bit)(TAR.GZ)|2.98M,然后点击下载。然后很不爽的要注册,那就注册吧。

2.在tar.gz压缩文件所在目录的终端输入以下解压命令

tar zxvf ZendOptimizer-3.3.9-linux-glibc23-i386.tar.gz

3.解压成功后输入

cd ZendOptimizer-3.3.9-linux-glibc23-i386/data/5_2_x_comp

sudo mkdir /usr/local/zend    //按提示输入密码

sudo cp ZendOptimizer.so /usr/local/zend

4.编辑php.ini ,在终端输入

sudo gedit /etc/php5/apache2/php.ini

在文件的最开头添加如下文字并保存。

[Zend Optimizer]

zend_optimizer.optimization_level=1

zend_extension=”/usr/local/zend/ZendOptimizer.so”

5.重启apache2

sudo /etc/init.d/apache2 restart

6.怎么检测zend optimizer是否安装成功了呢?

可以这样测试,在/var/www下新建一个ceshi.php文件,编辑这个文件。

<?php

phpinfo();

?>

然后在浏览器http://127.0.0.1/ceshi.php 查看是否有zend optimizer的相关信息就可以了。大概会有这样的文字

This program makes use of the Zend Scripting Language Engine:

Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies

还有zend 的图标,很好判断的。

通过在ubuntu 9.10下安装 Zend Optimizer的教程 | uranus’ s blog- 正则灵均.

~~~~~~~~~~~~`

每次在本机上测试时,为了安装这个zend都头疼的要死,,,,,